Sådan installeres NVIDIA 361.28 Graphics Drivers i Ubuntu / Linux Mint Systems

Den nyeste version af Nvidia Graphics driver til Linux, som er Nvidia 361.28, er blevet frigivet og kan downloades. Den leveres med masser af rettelser og ændringer. Denne artikel vil guide dig til at installere Nvidia 361.28 i Ubuntu og Linux Mint-systemer.

Rettelser

  • Tilføjet support til følgende GPU:
      GeForce 945A
  • Tilføjet et ældre, ikke-GLVND libGL.so GLX-klientbibliotek til NVIDIA Linux-driverinstallationspakken og muligheden for at vælge mellem et GLVND- eller ikke-GLVND GLX-klientbibliotek ved installationstidspunktet. Dette giver brugerne mulighed for at installere det arvige ikke-GLVND GLX-klientbibliotek for at kunne løse kompatibilitetsproblemer, der måtte opstå på grund af GLX-applikationer, der afhænger af adfærd i NVIDIA GLX-klientdriveren, som ikke er defineret af Linux OpenGL ABI-versionen 1.0.
    Som standard installerer nvidia-installer arven, ikke-GLVND GLX-klientbiblioteker. Alternativet -glvnd-glx-client-kommandolinjen kan bruges til at tilsidesætte standardværdien og installere GLVND GLX-klientbiblioteker i stedet. Kontakt sælgerne af alle applikationer, der ikke er kompatible med GLVND, for at sikre, at deres applikationer opdateres for kompatibilitet med GLVND.
    Tilstedeværelsen af ​​flere GLX-klientbiblioteker i pakken har konsekvenser for ompakkerne af NVIDIA-driveren; Se indgangen libGL.so i kapitlet "Installerede komponenter" i README for detaljer.
  • OpenGL Vendor-Neutral Driver (GLVND) infrastruktur er nu inkluderet og understøttet af NVIDIA GLX og OpenGL drivere. Dette bør ikke medføre nogen synlige ændringer i adfærd for slutbrugere, men nogle interne driverkomponentbiblioteker er blevet omdøbt og / eller flyttet som følge heraf. Disse ændringer kan påvirke scripts, der er afhængige af tilstedeværelsen af ​​NVIDIA OpenGL-driverkomponenter, bortset fra dem, der er angivet i Linux OpenGL ABI-versionen 1.0, vedligeholdere af alternative NVIDIA-driverinstallationspakker og applikationer, der er afhængige af tilstedeværelsen af ​​andre ikke-OpenGL / GLX-symboler i libGL.so.1 biblioteket og dets afhængigheder på nogen måde.

Udgivelsesnoter.

Installation

Fjern nu installerede grafikdrivere.

sudo apt-get rensning nvidia *

Download den korrekte driver fra kilden. Her er downloadlinkene:

Afslut grafisk session med den relevante kommando fra listen over kommandoer, der er angivet nedenfor:

# For Ubuntu LightDM [DEFAULT] sudo service lightdm stop # For Gnome GDM sudo service gdm stop #For Linux Mint MDM sudo service mdm stop

Gør installationsfilen eksekverbar.

chmod + x ~ / Downloads / NVIDIA-Linux - * - 361.28.run

Kør den eksekverbare installationsfil.

sudo sh ~ / Downloads / NVIDIA-Linux - * - 361.28.run

Dette vil starte installationsprocessen. Følg vejledningen på skærmen for at fuldføre processen.
Bemærk: Slet ikke installationsfilen. Det vil være nødvendigt, når du fjerner / afinstallerer Nvidia 361.28-driveren, hvis den ikke fungerer korrekt.
For at afinstallere

sudo sh ~ / Downloads / NVIDIA-Linux - * - 361.28.run --uninstall

Giv en kommentar

Dette websted bruger Akismet til at reducere spam. Lær, hvordan dine kommentardata behandles.